IM_BANDMEAN(3)

NAME
im_bandmean - average bands in an image

SYNOPSIS
#include <vips/vips.h> int im_bandmean( in, out )
IMAGE *in, *out;

DESCRIPTION
im_bandmean(3) writes a one-band image where each pixel is the average of the bands for that pixel in the input image. The output band format is the same as the input band format. Any size, any number of bands, any type.

RETURN VALUE
The function returns 0 on success and -1 on error.

SEE ALSO
im_add(3), im_mean(3), im_recomb(3)